package com.bocloud.cmp.model.agile;

import java.util.Date;
import java.util.List;

/*
 * 租户
 */
public class AgileTenantModel {
    private String uuid; // 设备组所属资源池。
    private String name;
    private String remark;
    private String producer; // 控制器内部用于记录调用当前接口的应用标识，不支持以"component"开头的字符串，"component"开头字符串用于控制器内部使用。
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间
    private Integer logicVasNum; // logicVas的配额数量
    private Integer logicRouterNum; // 逻辑路由器的配额数量
    private Integer logicSwitchNum; // 逻辑交换机的配额数量
    private Integer aclNum; // acl的配额数量
    private Integer aclRuleNum; // aclRule的配额数量
    private Boolean multicastCapability; // 是否支持组播能力
    private List<String> externalGatewayUuids; // 外部网关
    private List<String> fabricUuids;
    private List<String> vmmUuids;
    private List<String> dhcpGroupUuids;

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Boolean getMulticastCapability() {
        return multicastCapability;
    }

    public void setMulticastCapability(Boolean multicastCapability) {
        this.multicastCapability = multicastCapability;
    }

    public Integer getLogicVasNum() {
        return logicVasNum;
    }

    public void setLogicVasNum(Integer logicVasNum) {
        this.logicVasNum = logicVasNum;
    }

    public Integer getLogicRouterNum() {
        return logicRouterNum;
    }

    public void setLogicRouterNum(Integer logicRouterNum) {
        this.logicRouterNum = logicRouterNum;
    }

    public Integer getLogicSwitchNum() {
        return logicSwitchNum;
    }

    public void setLogicSwitchNum(Integer logicSwitchNum) {
        this.logicSwitchNum = logicSwitchNum;
    }

    public Integer getAclNum() {
        return aclNum;
    }

    public void setAclNum(Integer aclNum) {
        this.aclNum = aclNum;
    }

    public Integer getAclRuleNum() {
        return aclRuleNum;
    }

    public void setAclRuleNum(Integer aclRuleNum) {
        this.aclRuleNum = aclRuleNum;
    }

    public List<String> getExternalGatewayUuids() {
        return externalGatewayUuids;
    }

    public void setExternalGatewayUuids(List<String> externalGatewayUuids) {
        this.externalGatewayUuids = externalGatewayUuids;
    }

    public List<String> getFabricUuids() {
        return fabricUuids;
    }

    public void setFabricUuids(List<String> fabricUuids) {
        this.fabricUuids = fabricUuids;
    }

    public List<String> getVmmUuids() {
        return vmmUuids;
    }

    public void setVmmUuids(List<String> vmmUuids) {
        this.vmmUuids = vmmUuids;
    }

    public List<String> getDhcpGroupUuids() {
        return dhcpGroupUuids;
    }

    public void setDhcpGroupUuids(List<String> dhcpGroupUuids) {
        this.dhcpGroupUuids = dhcpGroupUuids;
    }
}
